#include "deftype.h"

int cutsp(unchar *zname,unchar *name)
// name -> zname : 全角スペース／半角スペースははずす
{
unchar c,*zname0;
	zname0=zname;
	do {
		c=*name++;
		if (c==' ') continue; // 半角スペースははずす
		if (check_kanji1(c)) {
			if (c==0x81 && *name==0x40) {
				// 全角スペースははずす
				name++;
				continue;
			}
			*zname++=c;
			c=*name++;
		}
		*zname++=c;
	} while (c!=0);
	return((int)(zname-zname0)-1);
}
